const int relay = 12;
const int pir = 2;
const int delayTime = 1000;

boolean nowOn = false;

void setup() {
  pinMode(relay, OUTPUT);
  pinMode(  pir,  INPUT);
  digitalWrite(relay, LOW);
  nowOn = false;
}

// How does this implementation differ from PIR03?
// How is the assumption different?
// What is the behaviour of this program when
//   the PIR gives a short movement detection signal?
// Experiment by using a button instead of a PIR sensor.
// Remove the PIR sensor.
// The button connects to 5V and pin 2,
//   which is in turn connected to the ground through a 1kΩ resistor.
void loop() {
  if (digitalRead(pir)){
    if (!nowOn) { // change state only if now it's not on
      delay(delayTime);
      digitalWrite(relay, HIGH);
      nowOn = true;
    }
  } else {
    if (nowOn) { // change state only if now it's on
      delay(delayTime);
      digitalWrite(relay, LOW);
      nowOn = false;
    }
  }
}
